#!/bin/bash

DATE_PREFIX=`date +%Y-%m-%d_%H-%M-%S-`

SAVE_IN=`/root/scripts/get-backup-folder.sh`

if [ "$SAVE_IN" == "" ]; then
	echo "ERROR! Could not find the path to the backup folder!"
	echo "Please check the script settings. Aborting ..."
	exit 1
fi

if [ "$1" == "" ]; then
	echo "ERROR! Wrong input."
	echo "Usage: $0 <file_to_backup>"

	EXIT_CODE=1
else
	if ! [ -s "$1" ]; then
		if [ -s `pwd`/"$1" ]; then
			FILE_PATH=`pwd`/$1
		else
			FILE_PATH=""
		fi
	else
		FILE_PATH=$1
	fi
	
	
	if ! [ "$FILE_PATH" == "" ]; then

		FILE_NAME=`basename $1`
			
		cp $1 $SAVE_IN/$DATE_PREFIX$FILE_NAME

		ls -l $SAVE_IN/$DATE_PREFIX$FILE_NAME

		EXIT_CODE=0
	else
		echo "ERROR! the input '$1' is an invalid non-empty file."
		echo "Aborting ..."
		
		EXIT_CODE=1
	fi
fi

exit $EXIT_CODE
