#!/bin/bash

PATH_TO_GET_SITES_LIST_SCRIPT=/root/scripts/get-sites-list.sh

if ! [ -s "$PATH_TO_GET_SITES_LIST_SCRIPT" ]; then
   echo "ERROR! Internal problem!"
   echo "Cannot find the get-sites-list script! Aborting ..."
   echo "Make sure the script exists and accessible or edit this script."
   exit 1
fi

NUM_OF_SSL_SITES=`$PATH_TO_GET_SITES_LIST_SCRIPT https main-urls | wc -l`

if [ "$NUM_OF_SSL_SITES" -gt 0 ]; then  
	URLS_AND_DATES=`$PATH_TO_GET_SITES_LIST_SCRIPT https main-urls | xargs -I {} sh -c "printf '{}:  ' && openssl s_client -connect {}:443 -servername {} 2>/dev/null | openssl x509 -noout -dates | grep -i notafter && printf '#'"`

	echo $URLS_AND_DATES | while IFS= read -r -d $'#' i; do
		URL_AND_DATE=$i

		URL=`echo $URL_AND_DATE | awk -F= '{print \$1}' | awk -F: '{print \$1}'` 

		DATE=`echo $URL_AND_DATE | awk -F= '{print \$2}'` 


		DIFF=$(expr `echo $DATE | xargs -I {} date -d {} '+%s'` - `date '+%s'`)
		DAYS=`expr $DIFF / 60 / 60 / 24`
		
		if ! [ "$1" == "" ]; then
			printf "$URL=$DAYS\n"
		else
			printf "${URL_AND_DATE}(that's $DAYS day(s) to go)\n"
		fi
	done
else
	if [ "$1" == "" ]; then
		echo "NO SSL sites were found on this server."
	fi
fi
