#!/bin/bash

NUM_OF_DAYS_TO_NOTIFY_ON=14

MAIL_RECIEVERS_CSV_FILE=/root/scripts/staff.csv

PATH_TO_GET_CERTS_DATES_SCRIPT=/root/scripts/get-certs-dates.sh
PATH_TO_SEND_MAIL_SCRIPT=/root/scripts/send-mail.sh

if ! [ -s "$PATH_TO_GET_CERTS_DATES_SCRIPT" ]; then
   echo "ERROR! Internal problem!"
   echo "Cannot find the get-certs-dates script! Aborting ..."
   echo "Make sure the script exists and accessible or edit this script."
   exit 1
fi

if ! [ -s "$PATH_TO_SEND_MAIL_SCRIPT" ]; then
   echo "ERROR! Internal problem!"
   echo "Cannot find the send-mail script! Aborting ..."
   echo "Make sure the script exists and accessible or edit this script."
   exit 1
fi

NUM_OF_DATES=`$PATH_TO_GET_CERTS_DATES_SCRIPT raw | wc -l`

if [ "$NUM_OF_DATES" -gt 0 ]; then
	URLS_AND_DATES=`$PATH_TO_GET_CERTS_DATES_SCRIPT raw`

	for i in $(echo $URLS_AND_DATES); do
		URL_AND_DATE=$i

		URL=`echo $URL_AND_DATE | awk -F= '{print \$1}'` 

		DAYS=`echo $URL_AND_DATE | awk -F= '{print \$2}'`
		
		if [ "$DAYS" -eq "$DAYS" ] 2>/dev/null
		then
			if [ "$DAYS" -le "$NUM_OF_DAYS_TO_NOTIFY_ON" ]; then
				echo "Sending mail for about site '$URL' ..."
				
				$PATH_TO_SEND_MAIL_SCRIPT $MAIL_RECIEVERS_CSV_FILE "WARNING: An SSL Certificate is about to expire!" "The SSL for site '$URL' will expire in '$DAYS' days! " > /dev/null
			else
				echo "Date OK for site '$URL'."
			fi
		fi
	done
else
	echo "NO SSL sites were found on this server."
fi
