#!/bin/bash

PATH_TO_GET_SITES_LIST_SCRIPT=/root/scripts/get-sites-list.sh
	
if ! [ -s "$PATH_TO_GET_SITES_LIST_SCRIPT" ]; then
   echo "ERROR! Internal problem!"
   echo "Cannot find the get-sites-list script! Aborting ..."
   echo "Make sure the script exists and accessible or edit this script."
   exit 1
fi

echoAListOfSitesDirsViaVhosts()
{
	$PATH_TO_GET_SITES_LIST_SCRIPT all dirs
}

runAScriptOnAllSites()
{
	# function params:
	# $1 = script full path
	# $2 = script params

	ALL_SITES=`$PATH_TO_GET_SITES_LIST_SCRIPT all dirs`	

	for i in $(echo $ALL_SITES); do
		echo -e "\n======================================================"
		echo "$i"
		echo -e "======================================================\n"
		echo -e "Running the command '$1 $i $2' ...\n"
		echo "$1 $i $2" | sh
	done
}

if [ "$1" == "" ]; then
	echo "ERROR! Wrong input."
	echo "Usage 1: $0 <a_script_to_run_on_all_sites> [Optional: "arguments for the script. MUST be between quotes or the script will take only the first word"]"
	echo "Usage 2: $0 show - show sites paths only"
else
	if [ "$1" == "show" ]; then
		echoAListOfSitesDirsViaVhosts $VHOSTS_DIR
	else
		if [ -s "$1" ]; then
			STATUS=`cat $1 | grep /bin/bash`

			if ! [ "$STATUS" == "" ]; then
				runAScriptOnAllSites $VHOSTS_DIR $1 $2
			else
				echo ERROR: \'$1\' is not a valid script. Aborting ...
			fi
		else
			echo ERROR: \'$1\' is not a valid file. Aborting ...
		fi
	fi
fi


