#!/bin/bash

SMTP_SERVER_IP_ADDRESS=192.168.1.25

PYTHON_BIN_PATH=/usr/bin/python

PATH_TO_PYTHON_SEND_MAIL_WITH_ATTACHMENT_SCRIPT=/root/scripts/sendmail-with-attachment.py

if ! [ -s "$PYTHON_BIN_PATH" ]; then
	echo "Internal Error! Check parameters! Exiting ..."
	exit 1
fi

if ! [ -s "$PATH_TO_PYTHON_SEND_MAIL_WITH_ATTACHMENT_SCRIPT" ]; then
	echo "Internal Error! Check parameters! Exiting ..."
	exit 1
fi

if [ "$1" == "" -o "$2" == "" -o "$3" == "" ]; then
	echo ERROR! Required parameters missing.
	echo Usage: $0 \<recievers_list_csv_file\> \<subject\> \<body\>
else
	if ! [ -s "$1" ]; then
		echo ERROR! \'$1\' is not a valid file!
		echo Aborting ...
		exit 1
	fi

$PYTHON_BIN_PATH $PATH_TO_PYTHON_SEND_MAIL_WITH_ATTACHMENT_SCRIPT "$SMTP_SERVER_IP_ADDRESS" "$1" <(`echo dummy`) "$2" "$3"	
fi
